oracle.sql

## Class OpaqueDescriptor

- java.lang.Object
- - oracle.sql.TypeDescriptor
  - - oracle.sql.OpaqueDescriptor

All Implemented Interfaces:
  Serializable, oracle.jdbc.internal.ACProxyable, oracle.jdbc.internal.ObjectData, OracleData, OracleTypeMetaData, OracleTypeMetaData.Opaque, ORAData

Deprecated.
OPAQUE types cannot be created on the client side.

    public class OpaqueDescriptor
    extends TypeDescriptor
    implements oracle.jdbc.internal.OracleTypeMetaData.Opaque, Serializable

Type descriptor of Opaque data type.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface oracle.jdbc.internal.OracleTypeMetaData

`oracle.jdbc.internal.OracleTypeMetaData.Array, oracle.jdbc.internal.OracleTypeMetaData.Opaque, oracle.jdbc.internal.OracleTypeMetaData.Struct`

### Nested classes/interfaces inherited from interface oracle.jdbc.OracleTypeMetaData

`OracleTypeMetaData.ArrayStorage, OracleTypeMetaData.Kind`

### Field Summary

### Fields inherited from class oracle.sql.TypeDescriptor

`ANYDATASETTOID, ANYDATATOID, ANYTYPETOID, DEBUG_SERIALIZATION, JSONTOID, KOIDFLEN, RAWTOID, TYPECODE_BDOUBLE, TYPECODE_BFILE, TYPECODE_BFLOAT, TYPECODE_BLOB, TYPECODE_BOOLEAN, TYPECODE_CFILE, TYPECODE_CHAR, TYPECODE_CLOB, TYPECODE_DATE, TYPECODE_DECIMAL, TYPECODE_DOUBLE, TYPECODE_ERRHP, TYPECODE_FLOAT, TYPECODE_INTEGER, TYPECODE_INTERVAL_DS, TYPECODE_INTERVAL_YM, TYPECODE_ITABLE, TYPECODE_JDBC_ARRAY, TYPECODE_JDBC_JOBJECT, TYPECODE_JDBC_JOPAQUE, TYPECODE_JDBC_JSTRUCT, TYPECODE_JDBC_REF, TYPECODE_JDBC_STRUCT, TYPECODE_MLSLABEL, TYPECODE_NAMEDCOLLECTION, TYPECODE_NCHAR, TYPECODE_NCLOB, TYPECODE_NONE, TYPECODE_NUMBER, TYPECODE_NVARCHAR2, TYPECODE_OBJECT, TYPECODE_OCTET, TYPECODE_OPAQUE, TYPECODE_OTMFIRST, TYPECODE_OTMLAST, TYPECODE_PLS_INTEGER, TYPECODE_PTR, TYPECODE_RAW, TYPECODE_REAL, TYPECODE_RECORD, TYPECODE_REF, TYPECODE_SIGNED16, TYPECODE_SIGNED32, TYPECODE_SIGNED8, TYPECODE_SMALLINT, TYPECODE_SQLXML, TYPECODE_SYSFIRST, TYPECODE_SYSLAST, TYPECODE_TABLE, TYPECODE_TIME, TYPECODE_TIME_TZ, TYPECODE_TIMESTAMP, TYPECODE_TIMESTAMP_LTZ, TYPECODE_TIMESTAMP_TZ, TYPECODE_UNSIGNED16, TYPECODE_UNSIGNED32, TYPECODE_UNSIGNED8, TYPECODE_UROWID, TYPECODE_VARCHAR, TYPECODE_VARCHAR2, TYPECODE_VARRAY, XMLTYPETOID`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static OpaqueDescriptor` `createDescriptor(oracle.sql.SQLName sqlName, Connection conn)` Deprecated. Descriptor factory.
`static OpaqueDescriptor` `createDescriptor(String name, Connection conn)` Deprecated. Descriptor factory.
`String` `descType()` Deprecated. Describe this type.
`OracleTypeMetaData.Kind` `getKind()` Deprecated. Return the kind of type.
`long` `getMaxLength()` Deprecated. Return the maximun number of bytes this opaque object can hold.
`int` `getTypeCode()` Deprecated. Return the type code: OracleTypes.SQLXML if type is SYS.XMLTYPE else return the OPAQUE type code OracleTypes.OPAQUE
`boolean` `hasFixedSize()` Deprecated. Indicates whether the Opaque type has fixed size.
`boolean` `hasUnboundedSize()` Deprecated. Indicates whether the Opaque type has unbounded size ().
`boolean` `isModeledInC()` Deprecated. Indicates whether the Opaque type is modelled in C language.
`boolean` `isTrustedLibrary()` Deprecated. Indicates whether the Trusted Library implementing Support functions are specified for the Opaque type.

### Methods inherited from class oracle.sql.TypeDescriptor

`convToUpperCase, getConnectionDuringExceptionHandling, getInternalTypeCode, getName, getPrecision, getScale, getSubtypeName, getTypeCodeName, initMetadataRecursively, initNamesRecursively, isTransient, isV2available, printXML, printXML, setConnection, setPrecision, setScale, toDatum, toJDBCObject, toXMLString, toXMLString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface oracle.jdbc.internal.ACProxyable

`getACProxy, setACProxy`

### Methods inherited from interface oracle.jdbc.OracleTypeMetaData

`getName, getSchemaName, getSQLName, getTypeCodeName`

### Method Detail

#### createDescriptor

    public static OpaqueDescriptor createDescriptor(String name,
                                                    Connection conn)
                                             throws SQLException

Deprecated.
Descriptor factory. Lookup the name in the database, and determine the characteristics of this array.

Parameters:
  `name` - a String naming the type. (Not necessarily fully qualified)
  `conn` - a Connection to a database
Returns:
  the opaque descriptor specified by `name`
Throws:
  `SQLException` - if a database error occurs

#### createDescriptor

    public static OpaqueDescriptor createDescriptor(oracle.sql.SQLName sqlName,
                                                    Connection conn)
                                             throws SQLException

Deprecated.
Descriptor factory. Lookup the name in the database, and determine the characteristics of this array.

Parameters:
  `name` - a SQLName
  `connection` - a Connection to a database
Throws:
  `SQLException`

#### getKind

    public OracleTypeMetaData.Kind getKind()

Deprecated.
Description copied from interface: `OracleTypeMetaData`
Return the kind of type.

Specified by:
  `getKind` in interface `OracleTypeMetaData`
Overrides:
  `getKind` in class `TypeDescriptor`
Returns:
  the kind, OPAQUE

#### getTypeCode

    public int getTypeCode()
                    throws SQLException

Deprecated.
Return the type code: OracleTypes.SQLXML if type is SYS.XMLTYPE else return the OPAQUE type code OracleTypes.OPAQUE

Specified by:
  `getTypeCode` in interface `OracleTypeMetaData`
Overrides:
  `getTypeCode` in class `TypeDescriptor`
Throws:
  `SQLException`

#### getMaxLength

    public long getMaxLength()
                      throws SQLException

Deprecated.
Return the maximun number of bytes this opaque object can hold.

Specified by:
  `getMaxLength` in interface `OracleTypeMetaData.Opaque`
Returns:
  the maximum opaque size; return 0 if unbounded.
Throws:
  `SQLException`
Since:
  8.2.0

#### isTrustedLibrary

    public boolean isTrustedLibrary()
                             throws SQLException

Deprecated.
Indicates whether the Trusted Library implementing Support functions are specified for the Opaque type. This is the case for internal Opaque Types that are modeled in C.

Specified by:
  `isTrustedLibrary` in interface `OracleTypeMetaData.Opaque`
Returns:
  true if the Trusted Library implementing Support functions are specified; false, otherwise.
Throws:
  `SQLException`
Since:
  8.2.0

#### isModeledInC

    public boolean isModeledInC()
                         throws SQLException

Deprecated.
Indicates whether the Opaque type is modelled in C language.

Specified by:
  `isModeledInC` in interface `OracleTypeMetaData.Opaque`
Returns:
  true if the Opaque type is modelled in C language; false, otherwise.
Throws:
  `SQLException`
Since:
  8.2.0

#### hasUnboundedSize

    public boolean hasUnboundedSize()
                             throws SQLException

Deprecated.
Indicates whether the Opaque type has unbounded size ().

Specified by:
  `hasUnboundedSize` in interface `OracleTypeMetaData.Opaque`
Returns:
  true if the Opaque type hsa unbounded size; false, otherwise.
Throws:
  `SQLException`
Since:
  8.2.0

#### hasFixedSize

    public boolean hasFixedSize()
                         throws SQLException

Deprecated.
Indicates whether the Opaque type has fixed size.

Specified by:
  `hasFixedSize` in interface `OracleTypeMetaData.Opaque`
Returns:
  true if the Opaque type has fixed size; false, otherwise.
Throws:
  `SQLException`
Since:
  8.2.0

#### descType

    public String descType()
                    throws SQLException

Deprecated.
Describe this type.

Returns:
  the type information.
Throws:
  `SQLException`

Copyright © 2008, 2020, Oracle and/or its affiliates. All rights reserved.